import request from '/@/utils/request';

export function evaluateApi() {
	return {
		addEvaluate: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/update/evaluate',
				method: 'post',
				data: params
			});
		},


		modEvaluate: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/update/updateEvaluate',
				method: 'post',
				data: params
			});
		},

		modEvaluateMethod: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/update/evaluateUpdateMethod',
				method: 'post',
				data: params
			});
		},

		deleteEvaluateById: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/delete/deleteIdentification',
				method: 'post',
				data: params
			});
		},

		submitEvaluate: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/update/evaluateSubmit',
				method: 'post',
				data: params
			});
		},

		getListLecL: () => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/listLecL',
				method: 'get'
			});
		},

		getListLecE: () => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/listLecE',
				method: 'get'
			});
		},

		getListLecC: () => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/listLecC',
				method: 'get'
			});
		},

		getListLsL: () => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/listLsL',
				method: 'get'
			});
		},

		getListLsS: () => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/listLsS',
				method: 'get'
			});
		},

		getListRsR: () => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/listRsR',
				method: 'get'
			});
		},

		getListRsS: () => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/listRsS',
				method: 'get'
			});
		},

		getListMesM: () => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/listMesM',
				method: 'get'
			});
		},

		getListMesE: () => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/listMesE',
				method: 'get'
			});
		},

		getListMesS: () => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/listMesS',
				method: 'get'
			});
		},
	};
}
